## linkchecker 5.1

=== Makefile ===
--- 
+++ 
@@ -1,12 +1,16 @@
 # This Makefile is only used by developers.
-PYVER=2.5
+PYVER=2.6
 PYTHON=python$(PYVER)
 VERSION=$(shell $(PYTHON) setup.py --version)
 MACHINE=$(shell uname -m)
 HOST=www.debian.org
 LCOPTS=-Ftext -Fhtml -Fgml -Fsql -Fcsv -Fxml -Fgxml -Fdot -v -r1 -C
-PYTHONSVN=/home/calvin/src/python-svn
-PY_FILES_DIRS=linkcheck tests scripts *.py linkchecker gui cgi-bin config doc
+PYTHONSRC=/home/calvin/src/python-gitsvn
+PY_FILES_DIRS=linkcheck tests *.py linkchecker gui cgi-bin config doc
+TESTS ?= tests/
+# set test options, eg. to "--nologcapture"
+TESTOPTS=
+PAGER ?= less
 # build dir for debian package
 BUILDDIR=/home/calvin/packages/official
 DEB_ORIG_TARGET=$(BUILDDIR)/linkchecker_$(VERSION).orig.tar.gz
@@ -14,21 +18,20 @@
 
 .PHONY: all
 all:
-	@echo "Read the file doc/source/install.txt to see how to build and install this package."
+	@echo "Read the file INSTALL.txt to see how to build and install this package."
 
 .PHONY: clean
 clean:
-# ignore errors of this command
 	-$(PYTHON) setup.py clean --all
-	rm -f *-stamp*
+	rm -f linkchecker-out.* *-stamp*
 	$(MAKE) -C po clean
+	$(MAKE) -C doc/html clean
 	$(MAKE) -C linkcheck/HtmlParser clean
 	rm -f linkcheck/network/_network.so
 	find . -name '*.py[co]' -exec rm -f {} \;
 
 .PHONY: distclean
 distclean: clean cleandeb
-	$(MAKE) -C doc clean
 	rm -rf build linkchecker.egg-info
 	rm -f _LinkChecker_configdata.py MANIFEST Packages.gz
 # clean aborted dist builds and -out files
@@ -52,6 +55,7 @@
 # to build in the current directory
 .PHONY: localbuild
 localbuild: MANIFEST
+	$(MAKE) -C doc/html
 	$(MAKE) -C linkcheck/HtmlParser
 	$(PYTHON) setup.py build
 	cp -f build/lib.linux-$(MACHINE)-$(PYVER)/linkcheck/HtmlParser/htmlsax.so linkcheck/HtmlParser
@@ -64,26 +68,16 @@
 	  cp dist/LinkChecker-$(VERSION).tar.gz $(DEB_ORIG_TARGET); \
 	fi
 
-.PHONY: files
-files:	locale localbuild
-	-scripts/run.sh linkchecker $(LCOPTS) http://$(HOST)/
-	rm -f linkchecker-out.*.gz
-	for f in linkchecker-out.*; do gzip --best $$f; done
-
 .PHONY: upload
 upload:
 	rsync -avP -e ssh dist/* calvin@frs.sourceforge.net:uploads/
 
 .PHONY: release
-release: distclean releasecheck dist-stamp sign_distfiles homepage upload
+release: distclean releasecheck dist-stamp sign_distfiles upload
 	@echo "Uploading new LinkChecker Homepage..."
 	$(MAKE) -C ~/public_html/linkchecker.sf.net upload
 	@echo "Register at Python Package Index..."
 	$(PYTHON) setup.py register
-
-.PHONY: homepage
-homepage:
-	$(MAKE) -C doc homepage
 
 .PHONY: chmod
 chmod:
@@ -108,8 +102,11 @@
 	[ ! -d .svn ] || check-nosvneolstyle -v
 	check-copyright
 	check-pofiles -v
-	py-tabdaddy -v
+	py-tabdaddy
 	$(MAKE) pyflakes
+
+filescheck:
+	-./linkchecker $(LCOPTS) http://$(HOST)/
 
 .PHONY: releasecheck
 releasecheck: check
@@ -128,7 +125,7 @@
 
 .PHONY: test
 test:	localbuild
-	nosetests -m "^test_.*" tests/
+	nosetests -v -m "^test_.*" $(TESTOPTS) $(TESTS)
 
 .PHONY: pyflakes
 pyflakes:
@@ -146,9 +143,13 @@
 diff:
 	@for f in gzip robotparser httplib; do \
 	  echo "Comparing $${f}.py"; \
-	  diff -u linkcheck/$${f}2.py $(PYTHONSVN)/Lib/$${f}.py | less; \
+	  diff -u linkcheck/$${f}2.py $(PYTHONSRC)/Lib/$${f}.py | $(PAGER); \
 	done
 
 .PHONY: changelog
 changelog:
 	sftrack_changelog linkchecker calvin@users.sourceforge.net ChangeLog.txt
+
+.PHONY: gui
+gui:
+	$(MAKE) -C linkcheck/gui
