=== linkcheck/gui/rc/Makefile ===
--- 
+++ 
@@ -6,6 +6,7 @@
 
 ICONS = \
 	cancel.png \
+	online.png \
 	options.png \
 	preferences.png \
 	start.png \
@@ -26,6 +27,9 @@
 cancel.png:	$(OXYGEN)/actions/process-stop.png
 	cp $< $@
 
+online.png:	$(OXYGEN)/actions/document-open-remote.png
+	cp $< $@
+
 options.png:	$(OXYGEN)/categories/preferences-system-network.png
 	cp $< $@
