## linkchecker 5.2

=== Makefile ===
--- 
+++ 
@@ -1,19 +1,23 @@
 # This Makefile is only used by developers.
-PYVER=2.6
-PYTHON=python$(PYVER)
-VERSION=$(shell $(PYTHON) setup.py --version)
-MACHINE=$(shell uname -m)
-HOST=www.debian.org
-LCOPTS=-Ftext -Fhtml -Fgml -Fsql -Fcsv -Fxml -Fgxml -Fdot -v -r1 -C
-PYTHONSRC=/home/calvin/src/python-gitsvn
-PY_FILES_DIRS=linkcheck tests *.py linkchecker gui cgi-bin config doc
+PYVER:=2.6
+PYTHON:=python$(PYVER)
+VERSION:=$(shell $(PYTHON) setup.py --version)
+MACHINE:=$(shell uname -m)
+HOST:=www.debian.org
+LCOPTS:=-Ftext -Fhtml -Fgml -Fsql -Fcsv -Fxml -Fgxml -Fdot -v -r1 -C
+PYTHONSRC:=/home/calvin/src/python-gitsvn
+PY_FILES_DIRS:=linkcheck tests *.py linkchecker cgi-bin config doc
 TESTS ?= tests/
 # set test options, eg. to "--nologcapture"
 TESTOPTS=
 PAGER ?= less
 # build dir for debian package
-BUILDDIR=/home/calvin/packages/official
-DEB_ORIG_TARGET=$(BUILDDIR)/linkchecker_$(VERSION).orig.tar.gz
+BUILDDIR:=$(HOME)/packages/official
+DEB_ORIG_TARGET:=$(BUILDDIR)/linkchecker_$(VERSION).orig.tar.gz
+# original dnspython repository module
+DNSPYTHON:=$(HOME)/src/dnspython-git/dns
+# options to run the pep8 utility
+PEP8OPTS:=--repeat --ignore=E211,E501 --exclude=dns
 
 
 .PHONY: all
@@ -32,7 +36,7 @@
 
 .PHONY: distclean
 distclean: clean cleandeb
-	rm -rf build linkchecker.egg-info
+	rm -rf build dist linkchecker.egg-info
 	rm -f _LinkChecker_configdata.py MANIFEST Packages.gz
 # clean aborted dist builds and -out files
 	rm -f linkchecker-out* linkchecker.prof
@@ -70,12 +74,13 @@
 
 .PHONY: upload
 upload:
-	rsync -avP -e ssh dist/* calvin@frs.sourceforge.net:uploads/
+	rsync -avP -e ssh dist/* calvin,linkchecker@frs.sourceforge.net:/home/frs/project/l/li/linkchecker/$(VERSION)/
+
 
 .PHONY: release
 release: distclean releasecheck dist-stamp sign_distfiles upload
-	@echo "Uploading new LinkChecker Homepage..."
-	$(MAKE) -C ~/public_html/linkchecker.sf.net upload
+	@echo "Updating LinkChecker Homepage..."
+	$(MAKE) -C ~/public_html/linkchecker.sf.net update upload
 	@echo "Register at Python Package Index..."
 	$(PYTHON) setup.py register
 
@@ -103,15 +108,19 @@
 	check-copyright
 	check-pofiles -v
 	py-tabdaddy
+	py-unittest2-compat tests/
 	$(MAKE) pyflakes
 
 filescheck:
 	-./linkchecker $(LCOPTS) http://$(HOST)/
 
+update-copyright:
+	update-copyright --holder="Bastian Kleineidam"
+
 .PHONY: releasecheck
 releasecheck: check
-	@if egrep -i "xx\.|xxxx|\.xx" ChangeLog.txt > /dev/null; then \
-	  echo "Could not release: edit ChangeLog.txt release date"; false; \
+	@if egrep -i "xx\.|xxxx|\.xx" doc/changelog.txt > /dev/null; then \
+	  echo "Could not release: edit doc/changelog.txt release date"; false; \
 	fi
 #	$(MAKE) -C doc test
 
@@ -125,7 +134,7 @@
 
 .PHONY: test
 test:	localbuild
-	nosetests -v -m "^test_.*" $(TESTOPTS) $(TESTS)
+	$(PYTHON) /usr/bin/nosetests -v -m "^test_.*" $(TESTOPTS) $(TESTS)
 
 .PHONY: pyflakes
 pyflakes:
@@ -133,6 +142,10 @@
           grep -v "redefinition of unused 'linkcheck'" | \
           grep -v "undefined name '_'" | \
 	  grep -v "undefined name '_n'" | cat
+
+.PHONY: pep8
+pep8:
+	pep8 $(PEP8OPTS) $(PY_FILES_DIRS)
 
 .PHONY: reindent
 reindent:
@@ -146,9 +159,13 @@
 	  diff -u linkcheck/$${f}2.py $(PYTHONSRC)/Lib/$${f}.py | $(PAGER); \
 	done
 
+.PHONY: dnsdiff
+dnsdiff:
+	diff -BurN --exclude=changelog.txt linkcheck/dns $(DNSPYTHON) | $(PAGER)
+
 .PHONY: changelog
 changelog:
-	sftrack_changelog linkchecker calvin@users.sourceforge.net ChangeLog.txt
+	sftrack_changelog linkchecker calvin@users.sourceforge.net doc/changelog.txt
 
 .PHONY: gui
 gui:
