=== debian/control ===
Source: linkchecker
Section: web
Priority: optional
Maintainer: Bastian Kleineidam <calvin@debian.org>
Build-Depends: python-all-dev (>= 2.5), debhelper (>= 7), gettext,
 cdbs (>= 0.4.43), python-central (>= 0.6), qt4-dev-tools
XS-Python-Standards-Version: 0.4
XS-Python-Version: >= 2.5
Standards-Version: 3.9.0
Homepage: http://linkchecker.sourceforge.net/

Package: linkchecker
Architecture: any
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
XB-Python-Version: ${python:Versions}
Provides: ${python:Provides}
Suggests: apache2 | httpd, python-optcomplete (>= 1.2-5),
 python-geoip (>= 1.2.1-2), clamav-daemon, python-utidylib,
 python-cssutils, python-pysqlite2
Description: check websites and HTML documents for broken links
 Provides a command line program and web interface to check links
 of websites and HTML documents.
 Features:
  o recursive checking
  o multithreaded
  o output in colored or normal text, HTML, SQL, CSV, XML or a sitemap
    graph in different formats
  o HTTP/1.1, HTTPS, FTP, mailto:, news:, nntp:, Telnet and local file
    links support
  o restrict link checking with regular expression filters for URLs
  o proxy support
  o username/password authorization for HTTP, FTP and Telnet
  o robots.txt exclusion protocol support
  o Cookie support
  o i18n support
  o HTML and CSS syntax check
  o Antivirus check
 Users preferring a graphical interface can install the linkchecker-gui
 package.

Package: linkchecker-gui
Architecture: all
XB-Python-Version: ${python:Versions}
Depends: linkchecker, python-qt4, ${python:Depends}, ${misc:Depends}, libqt4-sql-sqlite
Description: check websites and HTML documents for broken links (GUI client)
 Provides a graphical interface "linkchecker-gui" to check links of websites
 and HTML documents.
 Features:
  o recursive checking
  o multithreaded
  o HTTP/1.1, HTTPS, FTP, mailto:, news:, nntp:, Telnet and local file
    links support
  o proxy support
  o username/password authorization for HTTP, FTP and Telnet
  o robots.txt exclusion protocol support
  o i18n support
