## linkchecker 5.5

=== Makefile ===
--- 
+++ 
@@ -4,12 +4,17 @@
 VERSION:=$(shell $(PYTHON) setup.py --version)
 MACHINE:=$(shell uname -m)
 HOST:=www.debian.org
-LCOPTS:=-Ftext -Fhtml -Fgml -Fsql -Fcsv -Fxml -Fgxml -Fdot -v -r1 -C
+LCOPTS:=-Ftext -Fhtml -Fgml -Fsql -Fcsv -Fxml -Fgxml -Fdot --complete -r1 -C
 PYTHONSRC:=/home/calvin/src/python-gitsvn
 PY_FILES_DIRS:=linkcheck tests *.py linkchecker cgi-bin config doc
 TESTS ?= tests/
 # set test options, eg. to "--nologcapture"
 TESTOPTS=
+# test for nose achievements plugin and use it if available
+NOSE_ACHIEVEMENTS:=$(shell nosetests --plugins | grep achievements)
+ifeq ($(strip $(NOSE_ACHIEVEMENTS)),Plugin achievements)
+TESTOPTS += --with-achievements
+endif
 PAGER ?= less
 # build dir for debian package
 BUILDDIR:=$(HOME)/packages/official
@@ -17,7 +22,8 @@
 # original dnspython repository module
 DNSPYTHON:=$(HOME)/src/dnspython-git/dns
 # options to run the pep8 utility
-PEP8OPTS:=--repeat --ignore=E211,E501 --exclude=dns
+PEP8OPTS:=--repeat --ignore=E211,E501,E225,E301,E302,E241 \
+   --exclude="dns,gzip2.py,httplib2.py,robotparser2.py,reindent.py"
 
 
 .PHONY: all
@@ -80,9 +86,12 @@
 .PHONY: release
 release: distclean releasecheck dist-stamp sign_distfiles upload
 	@echo "Updating LinkChecker Homepage..."
+	sed -i -e "s/version = '.*'/version = '$(VERSION)'/" ~/public_html/linkchecker.sf.net/source/conf.py
 	$(MAKE) -C ~/public_html/linkchecker.sf.net update upload
 	@echo "Register at Python Package Index..."
 	$(PYTHON) setup.py register
+	wget -O - http://pypants.org/projects/linkchecker/update/ > /dev/null
+#	freshmeat-submit < linkchecker.freshmeat
 
 .PHONY: chmod
 chmod:
@@ -122,14 +131,15 @@
 	@if egrep -i "xx\.|xxxx|\.xx" doc/changelog.txt > /dev/null; then \
 	  echo "Could not release: edit doc/changelog.txt release date"; false; \
 	fi
+	@if ! grep "Version: $(VERSION)" linkchecker.freshmeat > /dev/null; then \
+	  echo "Could not release: edit linkchecker.freshmeat version"; false; \
+	fi
 #	$(MAKE) -C doc test
 
 .PHONY: sign_distfiles
 sign_distfiles:
-	for f in dist/*; do \
-	  if [ ! -f $${f}.asc ]; then \
-	    gpg --detach-sign --armor $$f; \
-	  fi; \
+	for f in $(shell find dist -name *.gz -o -name *.exe); do \
+	  [ ! -f $${f}.asc ] && gpg --detach-sign --armor $$f; \
 	done
 
 .PHONY: test
