=== doc/Makefile ===
--- 
+++ 
@@ -1,3 +1,5 @@
+HTMLDIR:=$(HOME)/public_html/linkchecker.sf.net/source
+
 all:
 
 test:
@@ -9,4 +11,9 @@
 api:
 	epydoc --html -o api --name "LinkChecker source documentation" --url ../index.html ../linkcheck/
 
-.PHONY: po4a api test
+homepage:
+	man2html -r en/linkchecker.1 | tail -n +2 > $(HTMLDIR)/man1/linkchecker.1.html
+	man2html -r en/linkcheckerrc.5 | tail -n +2 > $(HTMLDIR)/man5/linkcheckerrc.5.html
+	man2html -r en/linkchecker-gui.1 | tail -n +2 > $(HTMLDIR)/man1/linkchecker-gui.1.html
+
+.PHONY: po4a api test homepage
