=== linkcheck/gui/rc/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 # base directory of oxygen icon set checkout
 OXYGEN = $(HOME)/src/oxygen-gitsvn/16x16
-CRYSTAL = $(HOME)/src/crystal_project
+#CRYSTAL = $(HOME)/src/crystal_project
 
 ICONS = \
 	cancel.png \
@@ -11,12 +11,15 @@
 	preferences.png \
 	start.png \
 	stop.png \
-	app.png
+	about.png \
+	help.png \
+	exit.png \
+	copy.png
 
 all: $(ICONS)
 
-app.png:	$(CRYSTAL)/16x16/apps/agt_web.png
-	cp $< $@
+#app.png:	$(CRYSTAL)/16x16/apps/agt_web.png
+#	cp $< $@
 
 start.png:	$(OXYGEN)/actions/media-playback-start.png
 	cp $< $@
@@ -25,6 +28,18 @@
 	cp $< $@
 
 cancel.png:	$(OXYGEN)/actions/process-stop.png
+	cp $< $@
+
+about.png:	$(OXYGEN)/actions/help-about.png
+	cp $< $@
+
+help.png:	$(OXYGEN)/actions/help-contents.png
+	cp $< $@
+
+exit.png:	$(OXYGEN)/actions/application-exit.png
+	cp $< $@
+
+copy.png:	$(OXYGEN)/actions/edit-copy.png
 	cp $< $@
 
 online.png:	$(OXYGEN)/actions/document-open-remote.png
