## linkchecker 6.1

=== Makefile ===
--- 
+++ 
@@ -5,20 +5,16 @@
 MACHINE:=$(shell uname -m)
 HOST:=www.debian.org
 LCOPTS:=-Ftext -Fhtml -Fgml -Fsql -Fcsv -Fxml -Fgxml -Fdot --complete -r1 -C
-PYTHONSRC:=/home/calvin/src/python-gitsvn
+PYTHONSRC:=/home/calvin/src/python27-gitsvn/Lib
+#PYTHONSRC:=/usr/lib/python2.6
 PY_FILES_DIRS:=linkcheck tests *.py linkchecker cgi-bin config doc
 TESTS ?= tests/
 # set test options, eg. to "--nologcapture"
 TESTOPTS=
-# test for nose achievements plugin and use it if available
-NOSE_ACHIEVEMENTS:=$(shell nosetests --plugins | grep achievements)
-ifeq ($(strip $(NOSE_ACHIEVEMENTS)),Plugin achievements)
-TESTOPTS += --with-achievements
-endif
 PAGER ?= less
 # build dir for debian package
 BUILDDIR:=$(HOME)/packages/official
-DEB_ORIG_TARGET:=$(BUILDDIR)/linkchecker_$(VERSION).orig.tar.gz
+DEB_ORIG_TARGET:=$(BUILDDIR)/linkchecker_$(VERSION).orig.tar.bz2
 # original dnspython repository module
 DNSPYTHON:=$(HOME)/src/dnspython-git/dns
 # options to run the pep8 utility
@@ -75,7 +71,7 @@
 deb_orig:
 	if [ ! -e $(DEB_ORIG_TARGET) ]; then \
 	  $(MAKE) dist-stamp && \
-	  cp dist/LinkChecker-$(VERSION).tar.gz $(DEB_ORIG_TARGET); \
+	  cp dist/LinkChecker-$(VERSION).tar.bz2 $(DEB_ORIG_TARGET); \
 	fi
 
 .PHONY: upload
@@ -91,7 +87,7 @@
 	@echo "Register at Python Package Index..."
 	$(PYTHON) setup.py register
 	wget -O - http://pypants.org/projects/linkchecker/update/ > /dev/null
-#	freshmeat-submit < linkchecker.freshmeat
+	freshmeat-submit < linkchecker.freshmeat
 
 .PHONY: chmod
 chmod:
@@ -100,7 +96,7 @@
 
 .PHONY: dist
 dist: locale MANIFEST chmod
-	$(PYTHON) setup.py sdist --formats=gztar
+	$(PYTHON) setup.py sdist --formats=bztar
 # no rpm buildable with bdist_rpm, presumable due to this bug:
 # https://bugzilla.redhat.com/show_bug.cgi?id=236535
 # too uninvolved to fix it
@@ -138,7 +134,7 @@
 
 .PHONY: sign_distfiles
 sign_distfiles:
-	for f in $(shell find dist -name *.gz -o -name *.exe); do \
+	for f in $(shell find dist -name *.bz2 -o -name *.exe); do \
 	  [ ! -f $${f}.asc ] && gpg --detach-sign --armor $$f; \
 	done
 
@@ -166,7 +162,7 @@
 diff:
 	@for f in gzip robotparser httplib; do \
 	  echo "Comparing $${f}.py"; \
-	  diff -u linkcheck/$${f}2.py $(PYTHONSRC)/Lib/$${f}.py | $(PAGER); \
+	  diff -u linkcheck/$${f}2.py $(PYTHONSRC)/$${f}.py | $(PAGER); \
 	done
 
 .PHONY: dnsdiff
