## linkchecker 6.2

=== Makefile ===
--- 
+++ 
@@ -134,7 +134,7 @@
 
 .PHONY: sign_distfiles
 sign_distfiles:
-	for f in $(shell find dist -name *.bz2 -o -name *.exe); do \
+	for f in $(shell find dist -name *.bz2 -o -name *.exe -o -name *.zip); do \
 	  [ ! -f $${f}.asc ] && gpg --detach-sign --armor $$f; \
 	done
