=== debian/changelog ===
linkchecker (6.2-1) unstable; urgency=low

  * New upstream release.
  * Add python-qscintilla2 to dependencies.
    (Closes: #609061)

 -- Bastian Kleineidam <calvin@debian.org>  Tue, 28 Dec 2010 17:18:50 +0100

linkchecker (6.1-1) unstable; urgency=low

  * New upstream release.

 -- Bastian Kleineidam <calvin@debian.org>  Sun, 19 Dec 2010 17:16:01 +0100

linkchecker (6.0-1) unstable; urgency=low

  * New upstream release.
    + Requires Python >= 2.6
    + Removes deprecated options --no-anchor-caching and
      --no-proxy-for.
    + Removes backwards compatilibity parsing and require the new
      multiline configuration syntax.

 -- Bastian Kleineidam <calvin@debian.org>  Sun, 21 Nov 2010 11:37:56 +0100

linkchecker (5.5-1) unstable; urgency=low

  * New upstream release.
  * Depend on PyQt >= 4.5.

 -- Bastian Kleineidam <calvin@debian.org>  Tue, 26 Oct 2010 16:21:09 +0200

linkchecker (5.4-1) unstable; urgency=low

  * New upstream release.

 -- Bastian Kleineidam <calvin@debian.org>  Thu, 30 Sep 2010 07:43:40 +0200

linkchecker (5.3-1) unstable; urgency=low

  * New upstream release.

 -- Bastian Kleineidam <calvin@debian.org>  Wed, 29 Sep 2010 21:10:23 +0200
