=== debian/watch ===
# watch control file for uscan
version=3
http://sf.net/linkchecker/linkchecker-(.*).tar.bz2 debian uupdate
