## linkchecker 6.8

=== Makefile ===
--- 
+++ 
@@ -1,13 +1,12 @@
 # This Makefile is only used by developers.
-PYVER:=2.6
+PYVER:=2.7
 PYTHON:=python$(PYVER)
 VERSION:=$(shell $(PYTHON) setup.py --version)
-MACHINE:=$(shell uname -m)
-HOST:=www.debian.org
-LCOPTS:=-Ftext -Fhtml -Fgml -Fsql -Fcsv -Fxml -Fgxml -Fdot --complete -r1 -C
-PYTHONSRC:=/home/calvin/src/python27-gitsvn/Lib
-#PYTHONSRC:=/usr/lib/python2.6
-PY_FILES_DIRS:=linkcheck tests *.py linkchecker cgi-bin config doc
+PLATFORM:=$(shell $(PYTHON) -c "from distutils.util import get_platform; print get_platform()")
+FILESCHECK_URL:=http://localhost/~calvin/
+PYTHONSRC:=${HOME}/src/cpython-hg/Lib
+#PYTHONSRC:=/usr/lib/$(PYTHON)
+PY_FILES_DIRS:=linkcheck tests *.py linkchecker linkchecker-gui cgi-bin config doc
 TESTS ?= tests/
 # set test options, eg. to "--nologcapture"
 TESTOPTS=
@@ -20,11 +19,12 @@
 # options to run the pep8 utility
 PEP8OPTS:=--repeat --ignore=E211,E501,E225,E301,E302,E241 \
    --exclude="dns,gzip2.py,httplib2.py,robotparser2.py,reindent.py"
+PY2APPOPTS ?=
 
 
 .PHONY: all
 all:
-	@echo "Read the file INSTALL.txt to see how to build and install this package."
+	@echo "Read the file doc/install.txt to see how to build and install this package."
 
 .PHONY: clean
 clean:
@@ -64,8 +64,8 @@
 	$(MAKE) -C doc/html
 	$(MAKE) -C linkcheck/HtmlParser
 	$(PYTHON) setup.py build
-	cp -f build/lib.linux-$(MACHINE)-$(PYVER)/linkcheck/HtmlParser/htmlsax.so linkcheck/HtmlParser
-	cp -f build/lib.linux-$(MACHINE)-$(PYVER)/linkcheck/network/_network.so linkcheck/network
+	cp -f build/lib.$(PLATFORM)-$(PYVER)/linkcheck/HtmlParser/htmlsax.so linkcheck/HtmlParser
+	cp -f build/lib.$(PLATFORM)-$(PYVER)/linkcheck/network/_network.so linkcheck/network
 
 .PHONY: deb_orig
 deb_orig:
@@ -105,6 +105,11 @@
 	$(MAKE) dist
 	touch $@
 
+# Build OSX installer
+.PHONY: app
+app: localbuild chmod
+	$(PYTHON) setup.py py2app $(PY2APPOPTS)
+
 # The check programs used here are mostly local scripts on my private system.
 # So for other developers there is no need to execute this target.
 .PHONY: check
@@ -114,10 +119,62 @@
 	check-pofiles -v
 	py-tabdaddy
 	py-unittest2-compat tests/
+	$(MAKE) doccheck
 	$(MAKE) pyflakes
 
+doccheck:
+	py-check-docstrings --force linkcheck/HtmlParser linkcheck/checker \
+	  linkcheck/cache linkcheck/configuration linkcheck/director \
+	  linkcheck/htmlutil linkcheck/logger linkcheck/network \
+	  linkcheck/bookmarks \
+	  linkcheck/gui/__init__.py \
+	  linkcheck/gui/checker.py \
+	  linkcheck/gui/contextmenu.py \
+	  linkcheck/gui/debug.py \
+	  linkcheck/gui/editor.py \
+	  linkcheck/gui/editor_qsci.py \
+	  linkcheck/gui/editor_qt.py \
+	  linkcheck/gui/lineedit.py \
+	  linkcheck/gui/help.py \
+	  linkcheck/gui/logger.py \
+	  linkcheck/gui/options.py \
+	  linkcheck/gui/progress.py \
+	  linkcheck/gui/properties.py \
+	  linkcheck/gui/settings.py \
+	  linkcheck/gui/statistics.py \
+	  linkcheck/gui/updater.py \
+	  linkcheck/gui/urlmodel.py \
+	  linkcheck/gui/urlsave.py \
+	  linkcheck/__init__.py \
+	  linkcheck/ansicolor.py \
+	  linkcheck/clamav.py \
+	  linkcheck/containers.py \
+	  linkcheck/cookies.py \
+	  linkcheck/decorators.py \
+	  linkcheck/dummy.py \
+	  linkcheck/fileutil.py \
+	  linkcheck/ftpparse.py \
+	  linkcheck/geoip.py \
+	  linkcheck/httputil.py \
+	  linkcheck/i18n.py \
+	  linkcheck/lc_cgi.py \
+	  linkcheck/lock.py \
+	  linkcheck/log.py \
+	  linkcheck/mem.py \
+	  linkcheck/robotparser2.py \
+	  linkcheck/socketutil.py \
+	  linkcheck/strformat.py \
+	  linkcheck/threader.py \
+	  linkcheck/trace.py \
+	  linkcheck/updater.py \
+	  linkcheck/url.py \
+	  linkcheck/winutil.py \
+	  *.py
+
 filescheck:
-	-./linkchecker $(LCOPTS) http://$(HOST)/
+	for out in text html gml sql csv xml gxml dot; do \
+	  ./linkchecker -o$$out -F$$out --complete -r1 -C $(FILESCHECK_URL) || exit 1; \
+	done
 
 update-copyright:
 	update-copyright --holder="Bastian Kleineidam"
@@ -134,17 +191,17 @@
 
 .PHONY: sign_distfiles
 sign_distfiles:
-	for f in $(shell find dist -name *.bz2 -o -name *.exe -o -name *.zip); do \
-	  [ ! -f $${f}.asc ] && gpg --detach-sign --armor $$f; \
+	for f in $(shell find dist -name *.bz2 -o -name *.exe -o -name *.zip -o -name *.dmg); do \
+	  [ -f $${f}.asc ] || gpg --detach-sign --armor $$f; \
 	done
 
 .PHONY: test
 test:	localbuild
-	$(PYTHON) /usr/bin/nosetests -v -m "^test_.*" $(TESTOPTS) $(TESTS)
+	$(PYTHON) $(shell which nosetests) -v -m "^test_.*" $(TESTOPTS) $(TESTS)
 
 .PHONY: pyflakes
 pyflakes:
-	pyflakes $(PY_FILES_DIRS) 2>&1 | \
+	pyflakes --force $(PY_FILES_DIRS) 2>&1 | \
           grep -v "redefinition of unused 'linkcheck'" | \
           grep -v "undefined name '_'" | \
 	  grep -v "undefined name '_n'" | cat
@@ -176,3 +233,7 @@
 .PHONY: gui
 gui:
 	$(MAKE) -C linkcheck/gui
+
+.PHONY: count
+count:
+	@sloccount linkchecker linkchecker-gui linkcheck | grep "Total Physical Source Lines of Code"
