=== debian/changelog ===
linkchecker (6.8-1) unstable; urgency=low

  * New upstream release.
  * Let linkchecker suggest linkchecker-gui.

 -- Bastian Kleineidam <calvin@debian.org>  Wed, 13 Apr 2011 19:06:44 +0200

linkchecker (6.7-1) unstable; urgency=low

  * New upstream release.
    + Fixed manpage notes to mention --ignore-url instead of old -s/-i
      options. (Closes: #621040)
  * Use Standards version 3.9.2 (no changes needed)

 -- Bastian Kleineidam <calvin@debian.org>  Tue, 12 Apr 2011 08:19:10 +0200

linkchecker (6.6-1) unstable; urgency=low

  * New upstream release.
  * Added Vcs-Git and Vcs-Browser entries in debian/control.

 -- Bastian Kleineidam <calvin@debian.org>  Mon, 14 Mar 2011 15:04:35 +0100

linkchecker (6.5-1) unstable; urgency=low

  * New upstream release.
  * Fix debian/watch regex.
  * Replaced cdbs with dh.
  * Use dh_python2 instead of dh_pycentral. (Closes: #616875)
  * Reload Apache configuration on postinstall since the configuration
    file /etc/apache2/conf.d/linkchecker has been installed.

 -- Bastian Kleineidam <calvin@debian.org>  Mon, 07 Mar 2011 18:38:45 +0100

linkchecker (6.4-1) unstable; urgency=low

  * New upstream release.

 -- Bastian Kleineidam <calvin@debian.org>  Tue, 08 Feb 2011 21:28:01 +0100

linkchecker (6.3-1) unstable; urgency=low

  * New upstream release.

 -- Bastian Kleineidam <calvin@debian.org>  Sun, 09 Jan 2011 10:50:20 -0600
